DB-Manager: incorrect srs_id in table gpkg_contents when creating new GeoPackage spatial table

2017-02-10 07:34 AM - Jérôme Guélat

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: DB Manager

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24087

Description

When creating a new spatial table inside a GeoPackage with DB-Manager, the srs_id is incorrect in the gpkg_contents table...

1. In DB-Manager, create a connection to an existing GeoPackage

2. Table -> Create table

3. Give a name, add some fields and check "Create geometry column", use a valid EPSG value as SRID, click "Create" 

4. SQL command "SELECT * from gpkg_contents" 

5. The field srs_id has a value of 0 (undefined) instead of the SRID I specified

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-11-09 04:07 PM - Even Rouault

- Resolution set to worksforme

- Description updated

Works on latest 2.18, provided you specify a valid EPSG code

#3 - 2017-11-09 04:08 PM - Even Rouault

- Status changed from Open to Closed

#4 - 2017-11-13 11:00 AM - Jérôme Guélat

- Status changed from Closed to Reopened

Thanks for having a look at it... I tried with QGIS 2.18.14 and I unfortunately still get the same behaviour when using valid EPSG codes like 2056 or 21781.

This doesn't happen if I create the GeoPackage in the main interface using Layer menu -> Create Layer -> New GeoPackage Layer.

QGIS 2.18.14 installed using OSGeo4W

GDAL 2.2.2

#5 - 2017-11-13 11:02 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.3 to 2.18.14

- Resolution deleted (worksforme)
#6 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
